curl -u <YOUR_KEY>:<YOUR_SECRET> \
-X GET https://api.razorpay.com/v1/fund_accounts/validations?account_number=7878780080316316
{
"entity":"collection",
"count":2,
"items":[
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"fund_account":{
"id": "fa_00000000000001",
"entity": "fund_account",
"contact_id":"cont_00000000000001",
"account_type": "bank_account",
"bank_account":{
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"batch_id": null,
"active": true,
"created_at": 1567064019
},
"status": "completed",
"amount": 100,
"currency": "INR",
"notes":{
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"results":{
"account_status": "active",
"registered_name": "Gaurav Kumar"
},
"created_at": 1547566278,
"utr": "XXXXR7310682908954385XX"
},
{
"id":"fav_00000000000002",
"entity":"fund_account.validation",
"fund_account":{
"id":"fa_00000000000002",
"entity":"fund_account",
"contact_id":"cont_00000000000001",
"account_type":"vpa",
"vpa":{
"username": "gaurav.kumar",
"handle": "exampleupi",
"address":"gaurav.kumar@exampleupi"
},
"batch_id": null,
"active":true,
"created_at":1573110860
},
"status":"completed",
"amount":null,
"currency":null,
"notes":{
"random_key_1":"Make it so.",
"random_key_2":"Tea. Earl Grey. Hot."
},
"results":{
"account_status":"active",
"registered_name":"Gaurav Kumar"
},
"created_at":1574244676,
"utr": null
}
]
}
Account Validation
Fetch All Account Validation Transactions
Retrieve all account validations transactions via API.
GET
/
v1
/
fund_accounts
/
validations?account_number=:account_number
curl -u <YOUR_KEY>:<YOUR_SECRET> \
-X GET https://api.razorpay.com/v1/fund_accounts/validations?account_number=7878780080316316
{
"entity":"collection",
"count":2,
"items":[
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"fund_account":{
"id": "fa_00000000000001",
"entity": "fund_account",
"contact_id":"cont_00000000000001",
"account_type": "bank_account",
"bank_account":{
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"batch_id": null,
"active": true,
"created_at": 1567064019
},
"status": "completed",
"amount": 100,
"currency": "INR",
"notes":{
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"results":{
"account_status": "active",
"registered_name": "Gaurav Kumar"
},
"created_at": 1547566278,
"utr": "XXXXR7310682908954385XX"
},
{
"id":"fav_00000000000002",
"entity":"fund_account.validation",
"fund_account":{
"id":"fa_00000000000002",
"entity":"fund_account",
"contact_id":"cont_00000000000001",
"account_type":"vpa",
"vpa":{
"username": "gaurav.kumar",
"handle": "exampleupi",
"address":"gaurav.kumar@exampleupi"
},
"batch_id": null,
"active":true,
"created_at":1573110860
},
"status":"completed",
"amount":null,
"currency":null,
"notes":{
"random_key_1":"Make it so.",
"random_key_2":"Tea. Earl Grey. Hot."
},
"results":{
"account_status":"active",
"registered_name":"Gaurav Kumar"
},
"created_at":1574244676,
"utr": null
}
]
}
Available in🇮🇳 India🇲🇾 Malaysia🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of all Fund Account Validation transactions you have made.
curl -u <YOUR_KEY>:<YOUR_SECRET> \
-X GET https://api.razorpay.com/v1/fund_accounts/validations?account_number=7878780080316316
{
"entity":"collection",
"count":2,
"items":[
{
"id": "fav_00000000000001",
"entity": "fund_account.validation",
"fund_account":{
"id": "fa_00000000000001",
"entity": "fund_account",
"contact_id":"cont_00000000000001",
"account_type": "bank_account",
"bank_account":{
"name": "Gaurav Kumar",
"bank_name": "HDFC",
"ifsc": "HDFC0000053",
"account_number": "765432123456789"
},
"batch_id": null,
"active": true,
"created_at": 1567064019
},
"status": "completed",
"amount": 100,
"currency": "INR",
"notes":{
"random_key_1": "Make it so.",
"random_key_2": "Tea. Earl Grey. Hot."
},
"results":{
"account_status": "active",
"registered_name": "Gaurav Kumar"
},
"created_at": 1547566278,
"utr": "XXXXR7310682908954385XX"
},
{
"id":"fav_00000000000002",
"entity":"fund_account.validation",
"fund_account":{
"id":"fa_00000000000002",
"entity":"fund_account",
"contact_id":"cont_00000000000001",
"account_type":"vpa",
"vpa":{
"username": "gaurav.kumar",
"handle": "exampleupi",
"address":"gaurav.kumar@exampleupi"
},
"batch_id": null,
"active":true,
"created_at":1573110860
},
"status":"completed",
"amount":null,
"currency":null,
"notes":{
"random_key_1":"Make it so.",
"random_key_2":"Tea. Earl Grey. Hot."
},
"results":{
"account_status":"active",
"registered_name":"Gaurav Kumar"
},
"created_at":1574244676,
"utr": null
}
]
}
Query Parameters
The account that was used to debit money for validation transaction.
Account details can be found on the RazorpayX Dashboard. For example,
Account details can be found on the RazorpayX Dashboard. For example,
7878780080316316.- Pass your Customer Identifier (RazorpayX Lite number) if money was deducted from RazorpayX Lite.
- This is an alphanumeric or numeric value.
Number of payouts to be fetched. Default value is
10. Maximum value is 100. This can be used for pagination, in combination with skip.Numbers of payouts to be skipped. Default value is
0. This can be used for pagination, in combination with count.Response Parameters
The virtual payment address of the contact whose account is validated. For example,
gaurav.kumar@exampleupiLast modified on October 8, 2026
Was this page helpful?